// *** WARNING: this file was generated by pulumi. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***

using System;
using System.Collections.Generic;
using System.Collections.Immutable;
using System.Threading.Tasks;
using Pulumi.Serialization;

namespace Pulumi.Pvecluster.Outputs
{

    [OutputType]
    public sealed class PartitionConfig
    {
        public readonly string Db;
        public readonly string Osd;
        public readonly string Wal;

        [OutputConstructor]
        private PartitionConfig(
            string db,

            string osd,

            string wal)
        {
            Db = db;
            Osd = osd;
            Wal = wal;
        }
    }
}
